# Effects

effect give @a[team=!lobby] minecraft:levitation 1000000 255 true



# Forfeit

scoreboard players enable @a[team=!lobby] forfeit
scoreboard players reset @a[team=lobby] forfeit

execute as @a if score @s forfeit matches 1.. run function map:game/state/forfeit



# Turn

execute store result score *map.prevturn map.state run scoreboard players get *map.turn map.state
execute if score *map.prevturn map.state matches 0 unless entity @a[team=red] run function map:game/state/next_turn
execute if score *map.prevturn map.state matches 1 unless entity @a[team=yellow] run function map:game/state/next_turn
execute if score *map.prevturn map.state matches 2 unless entity @a[team=green] run function map:game/state/next_turn
execute if score *map.prevturn map.state matches 3 unless entity @a[team=blue] run function map:game/state/next_turn

scoreboard players remove *map.turn map.time 1
execute store result bossbar map:game.turn value run scoreboard players get *map.turn map.time
execute if score *map.turn map.time matches ..0 run function map:game/state/next_turn



# Inventory

clear @a minecraft:barrier{map:{jointeam:"disabled"}}
clear @a minecraft:leather_chestplate

execute as @a[team=red] unless data entity @s Inventory[{Slot:3b,tag:{map:{draw:"line"}}}] run clear @s minecraft:red_stained_glass{map:{draw:"line"}}
execute as @a[team=red] unless data entity @s Inventory[{Slot:5b,tag:{map:{draw:"dot"}}}] run clear @s minecraft:red_wool{map:{draw:"dot"}}
execute as @a[team=yellow] unless data entity @s Inventory[{Slot:3b,tag:{map:{draw:"line"}}}] run clear @s minecraft:yellow_stained_glass{map:{draw:"line"}}
execute as @a[team=yellow] unless data entity @s Inventory[{Slot:5b,tag:{map:{draw:"dot"}}}] run clear @s minecraft:yellow_wool{map:{draw:"dot"}}
execute as @a[team=green] unless data entity @s Inventory[{Slot:3b,tag:{map:{draw:"line"}}}] run clear @s minecraft:lime_stained_glass{map:{draw:"line"}}
execute as @a[team=green] unless data entity @s Inventory[{Slot:5b,tag:{map:{draw:"dot"}}}] run clear @s minecraft:lime_wool{map:{draw:"dot"}}
execute as @a[team=blue] unless data entity @s Inventory[{Slot:3b,tag:{map:{draw:"line"}}}] run clear @s minecraft:light_blue_stained_glass{map:{draw:"line"}}
execute as @a[team=blue] unless data entity @s Inventory[{Slot:5b,tag:{map:{draw:"dot"}}}] run clear @s minecraft:light_blue_wool{map:{draw:"dot"}}

execute if score *map.turn map.state matches 0 as @a[team=red] run item replace entity @s hotbar.3 with minecraft:red_stained_glass{map:{draw:"line"},display:{Name:"[{\"text\":\"Draw : \",\"color\":\"gray\",\"bold\":false,\"italic\":false},{\"text\":\"LINE\",\"color\":\"red\",\"bold\":true,\"italic\":false}]"},CanPlaceOn:["minecraft:white_concrete","minecraft:light_gray_concrete","minecraft:red_concrete","minecraft:pink_concrete"]}
execute if score *map.turn map.state matches 0 as @a[team=red] run item replace entity @s hotbar.5 with minecraft:red_wool{map:{draw:"dot"},display:{Name:"[{\"text\":\"Draw : \",\"color\":\"gray\",\"bold\":false,\"italic\":false},{\"text\":\"DOT\",\"color\":\"red\",\"bold\":true,\"italic\":false}]"},CanPlaceOn:["minecraft:white_concrete","minecraft:light_gray_concrete","minecraft:red_concrete","minecraft:pink_concrete"]}
execute if score *map.turn map.state matches 1 as @a[team=yellow] run item replace entity @s hotbar.3 with minecraft:yellow_stained_glass{map:{draw:"line"},display:{Name:"[{\"text\":\"Draw : \",\"color\":\"gray\",\"bold\":false,\"italic\":false},{\"text\":\"LINE\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}]"},CanPlaceOn:["minecraft:white_concrete","minecraft:light_gray_concrete","minecraft:yellow_concrete","minecraft:orange_concrete"]}
execute if score *map.turn map.state matches 1 as @a[team=yellow] run item replace entity @s hotbar.5 with minecraft:yellow_wool{map:{draw:"dot"},display:{Name:"[{\"text\":\"Draw : \",\"color\":\"gray\",\"bold\":false,\"italic\":false},{\"text\":\"DOT\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}]"},CanPlaceOn:["minecraft:white_concrete","minecraft:light_gray_concrete","minecraft:yellow_concrete","minecraft:orange_concrete"]}
execute if score *map.turn map.state matches 2 as @a[team=green] run item replace entity @s hotbar.3 with minecraft:lime_stained_glass{map:{draw:"line"},display:{Name:"[{\"text\":\"Draw : \",\"color\":\"gray\",\"bold\":false,\"italic\":false},{\"text\":\"LINE\",\"color\":\"green\",\"bold\":true,\"italic\":false}]"},CanPlaceOn:["minecraft:white_concrete","minecraft:light_gray_concrete","minecraft:lime_concrete","minecraft:green_concrete"]}
execute if score *map.turn map.state matches 2 as @a[team=green] run item replace entity @s hotbar.5 with minecraft:lime_wool{map:{draw:"dot"},display:{Name:"[{\"text\":\"Draw : \",\"color\":\"gray\",\"bold\":false,\"italic\":false},{\"text\":\"DOT\",\"color\":\"green\",\"bold\":true,\"italic\":false}]"},CanPlaceOn:["minecraft:white_concrete","minecraft:light_gray_concrete","minecraft:lime_concrete","minecraft:green_concrete"]}
execute if score *map.turn map.state matches 3 as @a[team=blue] run item replace entity @s hotbar.3 with minecraft:light_blue_stained_glass{map:{draw:"line"},display:{Name:"[{\"text\":\"Draw : \",\"color\":\"gray\",\"bold\":false,\"italic\":false},{\"text\":\"LINE\",\"color\":\"blue\",\"bold\":true,\"italic\":false}]"},CanPlaceOn:["minecraft:white_concrete","minecraft:light_gray_concrete","minecraft:light_blue_concrete","minecraft:blue_concrete"]}
execute if score *map.turn map.state matches 3 as @a[team=blue] run item replace entity @s hotbar.5 with minecraft:light_blue_wool{map:{draw:"dot"},display:{Name:"[{\"text\":\"Draw : \",\"color\":\"gray\",\"bold\":false,\"italic\":false},{\"text\":\"DOT\",\"color\":\"blue\",\"bold\":true,\"italic\":false}]"},CanPlaceOn:["minecraft:white_concrete","minecraft:light_gray_concrete","minecraft:light_blue_concrete","minecraft:blue_concrete"]}

execute unless score *map.turn map.state matches 0 as @a[team=red] run clear @s minecraft:red_stained_glass{map:{draw:"line"}}
execute unless score *map.turn map.state matches 0 as @a[team=red] run clear @s minecraft:red_wool{map:{draw:"dot"}}
execute unless score *map.turn map.state matches 1 as @a[team=yellow] run clear @s minecraft:yellow_stained_glass{map:{draw:"line"}}
execute unless score *map.turn map.state matches 1 as @a[team=yellow] run clear @s minecraft:yellow_wool{map:{draw:"dot"}}
execute unless score *map.turn map.state matches 2 as @a[team=green] run clear @s minecraft:lime_stained_glass{map:{draw:"line"}}
execute unless score *map.turn map.state matches 2 as @a[team=green] run clear @s minecraft:lime_wool{map:{draw:"dot"}}
execute unless score *map.turn map.state matches 3 as @a[team=blue] run clear @s minecraft:light_blue_stained_glass{map:{draw:"line"}}
execute unless score *map.turn map.state matches 3 as @a[team=blue] run clear @s minecraft:light_blue_wool{map:{draw:"dot"}}



# Board

summon minecraft:marker -7 0 -7 {Tags:["game.board.tick"]}
summon minecraft:marker -7 0 -6 {Tags:["game.board.tick"]}
summon minecraft:marker -7 0 -5 {Tags:["game.board.tick"]}
summon minecraft:marker -7 0 -4 {Tags:["game.board.tick"]}
summon minecraft:marker -7 0 -3 {Tags:["game.board.tick"]}
summon minecraft:marker -7 0 -2 {Tags:["game.board.tick"]}
summon minecraft:marker -7 0 -1 {Tags:["game.board.tick"]}
summon minecraft:marker -7 0 0 {Tags:["game.board.tick"]}
summon minecraft:marker -7 0 1 {Tags:["game.board.tick"]}
summon minecraft:marker -7 0 2 {Tags:["game.board.tick"]}
summon minecraft:marker -7 0 3 {Tags:["game.board.tick"]}
summon minecraft:marker -7 0 4 {Tags:["game.board.tick"]}
summon minecraft:marker -7 0 5 {Tags:["game.board.tick"]}
summon minecraft:marker -7 0 6 {Tags:["game.board.tick"]}
summon minecraft:marker -7 0 7 {Tags:["game.board.tick"]}
summon minecraft:marker -6 0 -7 {Tags:["game.board.tick"]}
summon minecraft:marker -6 0 -6 {Tags:["game.board.tick"]}
summon minecraft:marker -6 0 -5 {Tags:["game.board.tick"]}
summon minecraft:marker -6 0 -4 {Tags:["game.board.tick"]}
summon minecraft:marker -6 0 -3 {Tags:["game.board.tick"]}
summon minecraft:marker -6 0 -2 {Tags:["game.board.tick"]}
summon minecraft:marker -6 0 -1 {Tags:["game.board.tick"]}
summon minecraft:marker -6 0 0 {Tags:["game.board.tick"]}
summon minecraft:marker -6 0 1 {Tags:["game.board.tick"]}
summon minecraft:marker -6 0 2 {Tags:["game.board.tick"]}
summon minecraft:marker -6 0 3 {Tags:["game.board.tick"]}
summon minecraft:marker -6 0 4 {Tags:["game.board.tick"]}
summon minecraft:marker -6 0 5 {Tags:["game.board.tick"]}
summon minecraft:marker -6 0 6 {Tags:["game.board.tick"]}
summon minecraft:marker -6 0 7 {Tags:["game.board.tick"]}
summon minecraft:marker -5 0 -7 {Tags:["game.board.tick"]}
summon minecraft:marker -5 0 -6 {Tags:["game.board.tick"]}
summon minecraft:marker -5 0 -5 {Tags:["game.board.tick"]}
summon minecraft:marker -5 0 -4 {Tags:["game.board.tick"]}
summon minecraft:marker -5 0 -3 {Tags:["game.board.tick"]}
summon minecraft:marker -5 0 -2 {Tags:["game.board.tick"]}
summon minecraft:marker -5 0 -1 {Tags:["game.board.tick"]}
summon minecraft:marker -5 0 0 {Tags:["game.board.tick"]}
summon minecraft:marker -5 0 1 {Tags:["game.board.tick"]}
summon minecraft:marker -5 0 2 {Tags:["game.board.tick"]}
summon minecraft:marker -5 0 3 {Tags:["game.board.tick"]}
summon minecraft:marker -5 0 4 {Tags:["game.board.tick"]}
summon minecraft:marker -5 0 5 {Tags:["game.board.tick"]}
summon minecraft:marker -5 0 6 {Tags:["game.board.tick"]}
summon minecraft:marker -5 0 7 {Tags:["game.board.tick"]}
summon minecraft:marker -4 0 -7 {Tags:["game.board.tick"]}
summon minecraft:marker -4 0 -6 {Tags:["game.board.tick"]}
summon minecraft:marker -4 0 -5 {Tags:["game.board.tick"]}
summon minecraft:marker -4 0 -4 {Tags:["game.board.tick"]}
summon minecraft:marker -4 0 -3 {Tags:["game.board.tick"]}
summon minecraft:marker -4 0 -2 {Tags:["game.board.tick"]}
summon minecraft:marker -4 0 -1 {Tags:["game.board.tick"]}
summon minecraft:marker -4 0 0 {Tags:["game.board.tick"]}
summon minecraft:marker -4 0 1 {Tags:["game.board.tick"]}
summon minecraft:marker -4 0 2 {Tags:["game.board.tick"]}
summon minecraft:marker -4 0 3 {Tags:["game.board.tick"]}
summon minecraft:marker -4 0 4 {Tags:["game.board.tick"]}
summon minecraft:marker -4 0 5 {Tags:["game.board.tick"]}
summon minecraft:marker -4 0 6 {Tags:["game.board.tick"]}
summon minecraft:marker -4 0 7 {Tags:["game.board.tick"]}
summon minecraft:marker -3 0 -7 {Tags:["game.board.tick"]}
summon minecraft:marker -3 0 -6 {Tags:["game.board.tick"]}
summon minecraft:marker -3 0 -5 {Tags:["game.board.tick"]}
summon minecraft:marker -3 0 -4 {Tags:["game.board.tick"]}
summon minecraft:marker -3 0 -3 {Tags:["game.board.tick"]}
summon minecraft:marker -3 0 -2 {Tags:["game.board.tick"]}
summon minecraft:marker -3 0 -1 {Tags:["game.board.tick"]}
summon minecraft:marker -3 0 0 {Tags:["game.board.tick"]}
summon minecraft:marker -3 0 1 {Tags:["game.board.tick"]}
summon minecraft:marker -3 0 2 {Tags:["game.board.tick"]}
summon minecraft:marker -3 0 3 {Tags:["game.board.tick"]}
summon minecraft:marker -3 0 4 {Tags:["game.board.tick"]}
summon minecraft:marker -3 0 5 {Tags:["game.board.tick"]}
summon minecraft:marker -3 0 6 {Tags:["game.board.tick"]}
summon minecraft:marker -3 0 7 {Tags:["game.board.tick"]}
summon minecraft:marker -2 0 -7 {Tags:["game.board.tick"]}
summon minecraft:marker -2 0 -6 {Tags:["game.board.tick"]}
summon minecraft:marker -2 0 -5 {Tags:["game.board.tick"]}
summon minecraft:marker -2 0 -4 {Tags:["game.board.tick"]}
summon minecraft:marker -2 0 -3 {Tags:["game.board.tick"]}
summon minecraft:marker -2 0 -2 {Tags:["game.board.tick"]}
summon minecraft:marker -2 0 -1 {Tags:["game.board.tick"]}
summon minecraft:marker -2 0 0 {Tags:["game.board.tick"]}
summon minecraft:marker -2 0 1 {Tags:["game.board.tick"]}
summon minecraft:marker -2 0 2 {Tags:["game.board.tick"]}
summon minecraft:marker -2 0 3 {Tags:["game.board.tick"]}
summon minecraft:marker -2 0 4 {Tags:["game.board.tick"]}
summon minecraft:marker -2 0 5 {Tags:["game.board.tick"]}
summon minecraft:marker -2 0 6 {Tags:["game.board.tick"]}
summon minecraft:marker -2 0 7 {Tags:["game.board.tick"]}
summon minecraft:marker -1 0 -7 {Tags:["game.board.tick"]}
summon minecraft:marker -1 0 -6 {Tags:["game.board.tick"]}
summon minecraft:marker -1 0 -5 {Tags:["game.board.tick"]}
summon minecraft:marker -1 0 -4 {Tags:["game.board.tick"]}
summon minecraft:marker -1 0 -3 {Tags:["game.board.tick"]}
summon minecraft:marker -1 0 -2 {Tags:["game.board.tick"]}
summon minecraft:marker -1 0 -1 {Tags:["game.board.tick"]}
summon minecraft:marker -1 0 0 {Tags:["game.board.tick"]}
summon minecraft:marker -1 0 1 {Tags:["game.board.tick"]}
summon minecraft:marker -1 0 2 {Tags:["game.board.tick"]}
summon minecraft:marker -1 0 3 {Tags:["game.board.tick"]}
summon minecraft:marker -1 0 4 {Tags:["game.board.tick"]}
summon minecraft:marker -1 0 5 {Tags:["game.board.tick"]}
summon minecraft:marker -1 0 6 {Tags:["game.board.tick"]}
summon minecraft:marker -1 0 7 {Tags:["game.board.tick"]}
summon minecraft:marker 0 0 -7 {Tags:["game.board.tick"]}
summon minecraft:marker 0 0 -6 {Tags:["game.board.tick"]}
summon minecraft:marker 0 0 -5 {Tags:["game.board.tick"]}
summon minecraft:marker 0 0 -4 {Tags:["game.board.tick"]}
summon minecraft:marker 0 0 -3 {Tags:["game.board.tick"]}
summon minecraft:marker 0 0 -2 {Tags:["game.board.tick"]}
summon minecraft:marker 0 0 -1 {Tags:["game.board.tick"]}
summon minecraft:marker 0 0 0 {Tags:["game.board.tick"]}
summon minecraft:marker 0 0 1 {Tags:["game.board.tick"]}
summon minecraft:marker 0 0 2 {Tags:["game.board.tick"]}
summon minecraft:marker 0 0 3 {Tags:["game.board.tick"]}
summon minecraft:marker 0 0 4 {Tags:["game.board.tick"]}
summon minecraft:marker 0 0 5 {Tags:["game.board.tick"]}
summon minecraft:marker 0 0 6 {Tags:["game.board.tick"]}
summon minecraft:marker 0 0 7 {Tags:["game.board.tick"]}
summon minecraft:marker 1 0 -7 {Tags:["game.board.tick"]}
summon minecraft:marker 1 0 -6 {Tags:["game.board.tick"]}
summon minecraft:marker 1 0 -5 {Tags:["game.board.tick"]}
summon minecraft:marker 1 0 -4 {Tags:["game.board.tick"]}
summon minecraft:marker 1 0 -3 {Tags:["game.board.tick"]}
summon minecraft:marker 1 0 -2 {Tags:["game.board.tick"]}
summon minecraft:marker 1 0 -1 {Tags:["game.board.tick"]}
summon minecraft:marker 1 0 0 {Tags:["game.board.tick"]}
summon minecraft:marker 1 0 1 {Tags:["game.board.tick"]}
summon minecraft:marker 1 0 2 {Tags:["game.board.tick"]}
summon minecraft:marker 1 0 3 {Tags:["game.board.tick"]}
summon minecraft:marker 1 0 4 {Tags:["game.board.tick"]}
summon minecraft:marker 1 0 5 {Tags:["game.board.tick"]}
summon minecraft:marker 1 0 6 {Tags:["game.board.tick"]}
summon minecraft:marker 1 0 7 {Tags:["game.board.tick"]}
summon minecraft:marker 2 0 -7 {Tags:["game.board.tick"]}
summon minecraft:marker 2 0 -6 {Tags:["game.board.tick"]}
summon minecraft:marker 2 0 -5 {Tags:["game.board.tick"]}
summon minecraft:marker 2 0 -4 {Tags:["game.board.tick"]}
summon minecraft:marker 2 0 -3 {Tags:["game.board.tick"]}
summon minecraft:marker 2 0 -2 {Tags:["game.board.tick"]}
summon minecraft:marker 2 0 -1 {Tags:["game.board.tick"]}
summon minecraft:marker 2 0 0 {Tags:["game.board.tick"]}
summon minecraft:marker 2 0 1 {Tags:["game.board.tick"]}
summon minecraft:marker 2 0 2 {Tags:["game.board.tick"]}
summon minecraft:marker 2 0 3 {Tags:["game.board.tick"]}
summon minecraft:marker 2 0 4 {Tags:["game.board.tick"]}
summon minecraft:marker 2 0 5 {Tags:["game.board.tick"]}
summon minecraft:marker 2 0 6 {Tags:["game.board.tick"]}
summon minecraft:marker 2 0 7 {Tags:["game.board.tick"]}
summon minecraft:marker 3 0 -7 {Tags:["game.board.tick"]}
summon minecraft:marker 3 0 -6 {Tags:["game.board.tick"]}
summon minecraft:marker 3 0 -5 {Tags:["game.board.tick"]}
summon minecraft:marker 3 0 -4 {Tags:["game.board.tick"]}
summon minecraft:marker 3 0 -3 {Tags:["game.board.tick"]}
summon minecraft:marker 3 0 -2 {Tags:["game.board.tick"]}
summon minecraft:marker 3 0 -1 {Tags:["game.board.tick"]}
summon minecraft:marker 3 0 0 {Tags:["game.board.tick"]}
summon minecraft:marker 3 0 1 {Tags:["game.board.tick"]}
summon minecraft:marker 3 0 2 {Tags:["game.board.tick"]}
summon minecraft:marker 3 0 3 {Tags:["game.board.tick"]}
summon minecraft:marker 3 0 4 {Tags:["game.board.tick"]}
summon minecraft:marker 3 0 5 {Tags:["game.board.tick"]}
summon minecraft:marker 3 0 6 {Tags:["game.board.tick"]}
summon minecraft:marker 3 0 7 {Tags:["game.board.tick"]}
summon minecraft:marker 4 0 -7 {Tags:["game.board.tick"]}
summon minecraft:marker 4 0 -6 {Tags:["game.board.tick"]}
summon minecraft:marker 4 0 -5 {Tags:["game.board.tick"]}
summon minecraft:marker 4 0 -4 {Tags:["game.board.tick"]}
summon minecraft:marker 4 0 -3 {Tags:["game.board.tick"]}
summon minecraft:marker 4 0 -2 {Tags:["game.board.tick"]}
summon minecraft:marker 4 0 -1 {Tags:["game.board.tick"]}
summon minecraft:marker 4 0 0 {Tags:["game.board.tick"]}
summon minecraft:marker 4 0 1 {Tags:["game.board.tick"]}
summon minecraft:marker 4 0 2 {Tags:["game.board.tick"]}
summon minecraft:marker 4 0 3 {Tags:["game.board.tick"]}
summon minecraft:marker 4 0 4 {Tags:["game.board.tick"]}
summon minecraft:marker 4 0 5 {Tags:["game.board.tick"]}
summon minecraft:marker 4 0 6 {Tags:["game.board.tick"]}
summon minecraft:marker 4 0 7 {Tags:["game.board.tick"]}
summon minecraft:marker 5 0 -7 {Tags:["game.board.tick"]}
summon minecraft:marker 5 0 -6 {Tags:["game.board.tick"]}
summon minecraft:marker 5 0 -5 {Tags:["game.board.tick"]}
summon minecraft:marker 5 0 -4 {Tags:["game.board.tick"]}
summon minecraft:marker 5 0 -3 {Tags:["game.board.tick"]}
summon minecraft:marker 5 0 -2 {Tags:["game.board.tick"]}
summon minecraft:marker 5 0 -1 {Tags:["game.board.tick"]}
summon minecraft:marker 5 0 0 {Tags:["game.board.tick"]}
summon minecraft:marker 5 0 1 {Tags:["game.board.tick"]}
summon minecraft:marker 5 0 2 {Tags:["game.board.tick"]}
summon minecraft:marker 5 0 3 {Tags:["game.board.tick"]}
summon minecraft:marker 5 0 4 {Tags:["game.board.tick"]}
summon minecraft:marker 5 0 5 {Tags:["game.board.tick"]}
summon minecraft:marker 5 0 6 {Tags:["game.board.tick"]}
summon minecraft:marker 5 0 7 {Tags:["game.board.tick"]}
summon minecraft:marker 6 0 -7 {Tags:["game.board.tick"]}
summon minecraft:marker 6 0 -6 {Tags:["game.board.tick"]}
summon minecraft:marker 6 0 -5 {Tags:["game.board.tick"]}
summon minecraft:marker 6 0 -4 {Tags:["game.board.tick"]}
summon minecraft:marker 6 0 -3 {Tags:["game.board.tick"]}
summon minecraft:marker 6 0 -2 {Tags:["game.board.tick"]}
summon minecraft:marker 6 0 -1 {Tags:["game.board.tick"]}
summon minecraft:marker 6 0 0 {Tags:["game.board.tick"]}
summon minecraft:marker 6 0 1 {Tags:["game.board.tick"]}
summon minecraft:marker 6 0 2 {Tags:["game.board.tick"]}
summon minecraft:marker 6 0 3 {Tags:["game.board.tick"]}
summon minecraft:marker 6 0 4 {Tags:["game.board.tick"]}
summon minecraft:marker 6 0 5 {Tags:["game.board.tick"]}
summon minecraft:marker 6 0 6 {Tags:["game.board.tick"]}
summon minecraft:marker 6 0 7 {Tags:["game.board.tick"]}
summon minecraft:marker 7 0 -7 {Tags:["game.board.tick"]}
summon minecraft:marker 7 0 -6 {Tags:["game.board.tick"]}
summon minecraft:marker 7 0 -5 {Tags:["game.board.tick"]}
summon minecraft:marker 7 0 -4 {Tags:["game.board.tick"]}
summon minecraft:marker 7 0 -3 {Tags:["game.board.tick"]}
summon minecraft:marker 7 0 -2 {Tags:["game.board.tick"]}
summon minecraft:marker 7 0 -1 {Tags:["game.board.tick"]}
summon minecraft:marker 7 0 0 {Tags:["game.board.tick"]}
summon minecraft:marker 7 0 1 {Tags:["game.board.tick"]}
summon minecraft:marker 7 0 2 {Tags:["game.board.tick"]}
summon minecraft:marker 7 0 3 {Tags:["game.board.tick"]}
summon minecraft:marker 7 0 4 {Tags:["game.board.tick"]}
summon minecraft:marker 7 0 5 {Tags:["game.board.tick"]}
summon minecraft:marker 7 0 6 {Tags:["game.board.tick"]}
summon minecraft:marker 7 0 7 {Tags:["game.board.tick"]}

execute as @e[tag=game.board.tick] at @s if block ~ ~ ~ minecraft:red_stained_glass run tag @s add game.board.line.red
execute as @e[tag=game.board.tick] at @s if block ~ ~ ~ minecraft:yellow_stained_glass run tag @s add game.board.line.yellow
execute as @e[tag=game.board.tick] at @s if block ~ ~ ~ minecraft:lime_stained_glass run tag @s add game.board.line.green
execute as @e[tag=game.board.tick] at @s if block ~ ~ ~ minecraft:light_blue_stained_glass run tag @s add game.board.line.blue
execute as @e[tag=game.board.tick] at @s if block ~ ~ ~ minecraft:red_wool run tag @s add game.board.aoe.red
execute as @e[tag=game.board.tick] at @s if block ~ ~ ~ minecraft:yellow_wool run tag @s add game.board.aoe.yellow
execute as @e[tag=game.board.tick] at @s if block ~ ~ ~ minecraft:lime_wool run tag @s add game.board.aoe.green
execute as @e[tag=game.board.tick] at @s if block ~ ~ ~ minecraft:light_blue_wool run tag @s add game.board.aoe.blue

execute as @e[tag=game.board.tick,tag=game.board.line.red] run tag @s add game.board.red
execute as @e[tag=game.board.tick,tag=game.board.line.yellow] run tag @s add game.board.yellow
execute as @e[tag=game.board.tick,tag=game.board.line.green] run tag @s add game.board.green
execute as @e[tag=game.board.tick,tag=game.board.line.blue] run tag @s add game.board.blue
execute as @e[tag=game.board.tick,tag=game.board.aoe.red] run tag @s add game.board.red
execute as @e[tag=game.board.tick,tag=game.board.aoe.yellow] run tag @s add game.board.yellow
execute as @e[tag=game.board.tick,tag=game.board.aoe.green] run tag @s add game.board.green
execute as @e[tag=game.board.tick,tag=game.board.aoe.blue] run tag @s add game.board.blue

execute as @e[tag=game.board.tick,tag=game.board.line.red] run function map:game/branch
execute as @e[tag=game.board.tick,tag=game.board.line.yellow] run function map:game/branch
execute as @e[tag=game.board.tick,tag=game.board.line.green] run function map:game/branch
execute as @e[tag=game.board.tick,tag=game.board.line.blue] run function map:game/branch

execute as @e[tag=game.board.tick,tag=game.board.aoe.red] run function map:game/aoe
execute as @e[tag=game.board.tick,tag=game.board.aoe.yellow] run function map:game/aoe
execute as @e[tag=game.board.tick,tag=game.board.aoe.green] run function map:game/aoe
execute as @e[tag=game.board.tick,tag=game.board.aoe.blue] run function map:game/aoe

execute as @e[tag=game.board.tick] run scoreboard players set @s map.data 0
execute as @e[tag=game.board.tick,tag=game.board.red] run scoreboard players add @s map.data 1
execute as @e[tag=game.board.tick,tag=game.board.yellow] run scoreboard players add @s map.data 1
execute as @e[tag=game.board.tick,tag=game.board.green] run scoreboard players add @s map.data 1
execute as @e[tag=game.board.tick,tag=game.board.blue] run scoreboard players add @s map.data 1
execute as @e[tag=game.board.tick,scores={map.data=2..}] run tag @s add game.board.contested

execute as @e[tag=game.board.tick] run scoreboard players set @s map.data 2
execute as @e[tag=game.board.tick] store result score @s map.pos.x run data get entity @s Pos[0]
execute as @e[tag=game.board.tick] run scoreboard players operation @s map.pos.x %= @s map.data
execute as @e[tag=game.board.tick] store result score @s map.pos.z run data get entity @s Pos[2]
execute as @e[tag=game.board.tick] run scoreboard players operation @s map.pos.z %= @s map.data
execute as @e[tag=game.board.tick,tag=game.board.contested] at @s run setblock ~ ~ ~ minecraft:air destroy
execute as @e[tag=game.board.tick,tag=game.board.contested] at @s run setblock ~ ~-1 ~ minecraft:black_concrete
execute as @e[tag=game.board.tick,tag=!game.board.red,tag=!game.board.yellow,tag=!game.board.green,tag=!game.board.blue,tag=!game.board.contested] at @s run setblock ~ ~-1 ~ minecraft:light_gray_concrete
execute as @e[tag=game.board.tick,tag=!game.board.red,tag=!game.board.yellow,tag=!game.board.green,tag=!game.board.blue,tag=!game.board.contested] if score @s map.pos.x = @s map.pos.z at @s run setblock ~ ~-1 ~ minecraft:white_concrete
execute as @e[tag=game.board.tick,tag=game.board.red,tag=!game.board.contested] at @s run setblock ~ ~-1 ~ minecraft:red_concrete
execute as @e[tag=game.board.tick,tag=game.board.red,tag=!game.board.contested] if score @s map.pos.x = @s map.pos.z at @s run setblock ~ ~-1 ~ minecraft:pink_concrete
execute as @e[tag=game.board.tick,tag=game.board.yellow,tag=!game.board.contested] at @s run setblock ~ ~-1 ~ minecraft:orange_concrete
execute as @e[tag=game.board.tick,tag=game.board.yellow,tag=!game.board.contested] if score @s map.pos.x = @s map.pos.z at @s run setblock ~ ~-1 ~ minecraft:yellow_concrete
execute as @e[tag=game.board.tick,tag=game.board.green,tag=!game.board.contested] at @s run setblock ~ ~-1 ~ minecraft:green_concrete
execute as @e[tag=game.board.tick,tag=game.board.green,tag=!game.board.contested] if score @s map.pos.x = @s map.pos.z at @s run setblock ~ ~-1 ~ minecraft:lime_concrete
execute as @e[tag=game.board.tick,tag=game.board.blue,tag=!game.board.contested] at @s run setblock ~ ~-1 ~ minecraft:blue_concrete
execute as @e[tag=game.board.tick,tag=game.board.blue,tag=!game.board.contested] if score @s map.pos.x = @s map.pos.z at @s run setblock ~ ~-1 ~ minecraft:light_blue_concrete



# Calculate Score
function map:game/calculate_score



# End Game
execute unless entity @a[team=red] unless entity @a[team=yellow] unless entity @a[team=green] unless entity @a[team=blue] run function map:game/state/end
execute unless entity @e[tag=game.board.tick,tag=!game.board.red,tag=!game.board.yellow,tag=!game.board.green,tag=!game.board.blue,tag=!game.board.contested] run function map:game/state/end



# Cleanup
kill @e[tag=game.board.tick]
